メインコンテンツまでスキップ

Create Alias (V2)

This operation creates an alias for an existing collection. A collection can have multiple aliases, while an alias can be associated with only one collection.

POST/v2/vectordb/aliases/create
Connection Endpoint

The base URL for this API is in the following format:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘Notes
  • Use the cluster endpoint if you are using serving clusters.
    • Free & Serverless

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
dbNamestring

The name of the database to which the collection belongs.

collectionNamestringrequired

The name of the target collection to assign the created alias to.

aliasNamestringrequired

The alias of the collection.

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/aliases/create" \
--header "Authorization: Bearer ${TOKEN}". \
--header "Request-Timeout: 10" \
--header "Content-Type: application/json" \
-d '{
"aliasName": "bob",
"collectionName": "quick_setup"
}'
Responses200 - application/json

A success response

codeinteger

Response code.

Example Value: 0
dataobject

Response payload which is an empty object.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": {}
}